## The `upc_alloc` function

#### Synopsis

        #include <upc.h>
        shared void *upc_alloc(size_t nbytes);

#### Description

The `upc_alloc` allocates shared space of at least `nbytes` bytes with affinity to the calling thread.

`upc_alloc` is similar to malloc() except that it returns a pointer-to-shared value. It is not a collective function. If `nbytes` is zero, the result is a null pointer-to-shared.

Terms, definitions, and symbols

Back to index of all UPC functions